Pacman now works on first gen Ipod touches!

Discussion in 'iTunes App Store Games & Apps' started by escapetomsfate, Nov 1, 2008.

  1. escapetomsfate

    escapetomsfate New Member

    Joined:
    Sep 25, 2008
    Messages:
    7
    Likes Received:
    0
    The pac man lite app that only used to be compatible with the new Ipod touch now works with both! I've been playing for 20 mins non-stop

    Please Register or Log in to view images

  2. iPhoneFTW

    iPhoneFTW New Member

    Joined:
    Jun 19, 2008
    Messages:
    1,214
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    It always did? iTunes App store
  3. awesome761

    awesome761 Banned

    Joined:
    Aug 28, 2008
    Messages:
    945
    Likes Received:
    0
    i thought it worked with both, because i used the pacman.app like 3 months ago.
  4. KalleKanin

    KalleKanin New Member

    Joined:
    Jan 23, 2008
    Messages:
    151
    Likes Received:
    0
    Device:
    iPod touch
    Don't know about Lite but the regular one always worked on 1st gen iPods. Like mine.

    Sounds odd that anything in the App Store that doesn't require speakers, a camera or GSM shouldn't work on anything.
  5. darc10222

    darc10222 Banned

    Joined:
    Dec 24, 2007
    Messages:
    749
    Likes Received:
    0
    I've had the Lite version on my 1G for a month.
  6. escapetomsfate

    escapetomsfate New Member

    Joined:
    Sep 25, 2008
    Messages:
    7
    Likes Received:
    0
    Well if ya look on the UK itunes page for it, it's got loads of one star reviews 'cos it only worked on 2G iphones. It didnt work for me when it first came out....
  7. hakk79

    hakk79 Well-Known Member

    Joined:
    Feb 21, 2008
    Messages:
    3,239
    Likes Received:
    60
    Device:
    iPhone 4 (Black)
    Exactly...I din't know why it wouldn't work on both.

Share This Page